
Katello - Bug #7328

API routes for sync plan are inconsistent with products.

09/02/2014 10:24 AM - Christine Fouant

Status: Closed   

Priority: Normal   

Assignee: Christine Fouant   

Category: API   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1132817 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/463

4

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1132817

Description of problem:

API routes for sync plan are inconsistent with products.

Products have API calls to list all products and per org:

GET /katello/api/v2/products

List products

GET /katello/api/v2/organizations/:organization_id/products

List of products in an organization

Sync-plan has not the list all plans, only the per org

GET /katello/api/v2/organizations/:organization_id/sync_plans

List synchronization plans

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1.

2.

3.

Actual results:

Expected results:

Consistent routes, either only per Organization routes only or add also the route for sync_plans without the organizations part in the

URL

Additional info:

Associated revisions

Revision 92423954 - 09/02/2014 10:36 AM - Christine Fouant

fixes #7328 - Adds route for sync-plans, BZ 1132817

Revision 7f9f923a - 09/03/2014 01:14 PM - Adam Price

Merge pull request #4634 from cfouant/sync-routes

fixes #7328 - Adds route for sync-plans, BZ 1132817

History
#1 - 09/02/2014 10:36 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 55

- Pull request https://github.com/Katello/katello/pull/4634 added

- Pull request deleted ()

#2 - 09/02/2014 02:34 PM - Eric Helms

- Subject changed from Sync plan to API routes for sync plan are inconsistent with products.

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 09/03/2014 02:01 PM - Christine Fouant

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|92423954bdedb3eefafd3d94284f98186fc7aa5e.

#4 - 09/15/2014 02:22 PM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

https://projects.theforeman.org/projects/katello/repository/katello/revisions/92423954bdedb3eefafd3d94284f98186fc7aa5e
http://www.tcpdf.org

